const express = require("express");

const router = express.Router();

const {
  getCategoriesWithProducts,
  getProductsByCategory,
  getMarbleSpacesWithProducts,
  getAllProducts,
  getProductDetails,
} = require("../controllers/frontendController");

router.get("/categories-products", getCategoriesWithProducts);

router.get("/category/:id", getProductsByCategory);
router.get("/marble-space-products", getMarbleSpacesWithProducts);
router.get("/products", getAllProducts);
router.get("/product/:id", getProductDetails);
module.exports = router;
